Subject: Re: git gc --aggressive led to about 40 times slower "git log --raw"

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Feb 2014 16:10:41 -0800

Duy Nguyen <[email-masked]> writes:

> Lower depth than default (50) does not sound "aggressive" to me, at
> least from disk space utilization. I agree it should be configurable
> though.

Do you mean you want to keep "--aggressive" to mean "too aggressive
in resulting size, to the point that it is not useful to anybody"?

Shallow and wide will give us, with a large window, the most
aggressively efficient packfiles that are useful, and we would
rather want to fix it to be usable, I would think.